#!/bin/sh

#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2011, 2012. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#*******************************************************************************

# -----------------------------------------------------------
#                jbe.sh
#
#  Use this script to start the RTC Build Engine on Solaris Sparc.
#
#  Usage:
#     jbe.sh -repository SERVERNAME -engineId ENGINENAME -userId USERNAME -pass PASSWORD
#
#  Where:
#     SERVERNAME is the URI for the RTC server
#     ENGINENAME is the name of this RTC build engine instance (must match engine name in RTC server)
#     USERNAME is a RTC userID which is licensed to build (this is not necessarily the USRPRF name)
#     PASSWORD is the password for this RTC userId
#
#  Example of usage:
#
#    jbe.sh -repository https://localhost:9443/ccm -engineId BuildEngine1 -userId myjazzname -pass myjazzpwd
#
#
# -----------------------------------------------------------

# set the location of the eclipse build engine to launch
PRGPATH="`dirname "$0"`"
export PRGPATH


JAVA_EXE="$JAVA_HOME/bin/java"
LAUNCHER_JAR="${PRGPATH}/plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar"
exec "${JAVA_EXE}" -Djava.protocol.handler.pkgs=com.ibm.net.ssl.www2.protocol -Xmx300m -Dosgi.requiredJavaVersion=1.6 -jar "${LAUNCHER_JAR}" "$@"
